Bug 357671 - Observation Manager Tools not supporting custom catalogue - version 2.5.0
Summary: Observation Manager Tools not supporting custom catalogue - version 2.5.0
Status: RESOLVED FIXED
Alias: None
Product: kstars
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Jasem Mutlaq
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-07 20:24 UTC by RobertBarlow
Modified: 2017-08-03 15:36 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to WUT dialog (3.42 KB, patch)
2017-08-03 15:07 UTC, RobertBarlow
Details

Note You need to log in before you can comment on or make changes to this bug.
Description RobertBarlow 2016-01-07 20:24:47 UTC
What's up Tonight and Observation List wizard do not list objects from custom catalogue.  Catalogue is treated as valid by Find Object Tool.

Reproducible: Always

Steps to Reproduce:
1.  Load custom catalogue using KStars settings dialogue.
2.  Validate cat. using Find tool to list contained objects. 
3.  Try to see custom objects using What's Up Tonight tool.

Actual Results:  
No object from custom cat. appears in What's up list.

Expected Results:  
What's up should show custom objects exactly as shown by Find. 

Sample custom catalogue.

# Name: Landolt
# Prefix: L
# Color: #ff0000
# Delimiter:  
# Epoch: 2000
# ID Nm RA Dc Mg Tp 
1 "Landolt 315" 0:06:59 -02:37:52 6.440 0
2 "Landolt 2892" 0:31:26 01:06:13 9.366 0
3 "Landolt -15_115" 0:37:36 -15:04:51 10.881 0
4 "Landolt -12_134" 0:46:19 -11:57:32 11.775 0
5 "Landolt -11_162" 0:51:30 -10:44:49 11.190 0
6 "Landolt 92_336" 0:54:16 00:42:36 8.046 0
7 "Landolt 92_342" 0:54:24 00:38:22 11.616 0
8 "Landolt 92_263" 0:54:54 00:31:26 11.784 0
9 "Landolt 5505" 0:56:05 01:36:00 9.001 0
Comment 1 Jasem Mutlaq 2016-10-31 05:27:46 UTC
Fixed in 2.7.0
Comment 2 RobertBarlow 2016-11-03 18:01:03 UTC
thanks

... I feel I should offer my assistance in fixing this as I have hacked 
"What's Up Tonight" locally (self-servingly) to handle custom catalogs.
Anything I can do?





On 03/11/16 17:55, Jasem Mutlaq wrote:
> https://bugs.kde.org/show_bug.cgi?id=357671
>
> Jasem Mutlaq <mutlaqja@ikarustech.com> changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>           Resolution|FIXED                       |---
>               Status|RESOLVED                    |REOPENED
>       Ever confirmed|0                           |1
>
Comment 3 Jasem Mutlaq 2017-07-24 10:38:51 UTC
Any issues with latest release?
Comment 4 RobertBarlow 2017-08-03 15:07:31 UTC
Created attachment 107057 [details]
Patch to WUT dialog
Comment 5 RobertBarlow 2017-08-03 15:11:42 UTC
Not fixed in 2.8.0.  
I have just written and tested the attached patch.
Comment 6 Jasem Mutlaq 2017-08-03 15:36:37 UTC
Git commit 0e47636e821dd9282d2226a827f900f551c74477 by Jasem Mutlaq, on behalf of Robert Barlow.
Committed on 03/08/2017 at 15:35.
Pushed by mutlaqja into branch 'master'.

Patch by Robert Barlow to support custom catalogs in WUT.

M  +16   -7    kstars/tools/wutdialog.cpp
M  +3    -3    kstars/tools/wutdialog.h

https://commits.kde.org/kstars/0e47636e821dd9282d2226a827f900f551c74477